import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { NbMenuModule, 
  NbThemeModule,
  NbStepperModule,
  NbCardModule, 
  NbSidebarModule, 
  NbLayoutModule, 
  NbButtonModule, 
  NbIconModule, 
  NbInputModule, 
  NbContextMenuModule, 
  NbUserModule, 
  NbSpinnerModule, 
  NbAlertModule,
  NbCheckboxModule,
  NbFormFieldModule
} from '@nebular/theme/';

import { NbEvaIconsModule } from '@nebular/eva-icons';


@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    NbLayoutModule, 
    NbStepperModule,
    NbThemeModule.forRoot(),
    NbContextMenuModule,
    NbButtonModule,
    NbMenuModule.forRoot(),
    NbIconModule,
    NbInputModule,
    NbUserModule,
    NbSpinnerModule,
    NbAlertModule,
    NbCheckboxModule,
    NbCardModule,
    NbFormFieldModule,
    NbEvaIconsModule,
    NbSidebarModule.forRoot()
  ],
  exports:[
    NbCardModule, 
    NbStepperModule,
    NbThemeModule,
    NbLayoutModule,
    NbContextMenuModule,
    NbMenuModule,
    NbIconModule,
    NbUserModule,
    NbSpinnerModule,
    NbAlertModule,
    NbCheckboxModule,
    NbInputModule,
    NbButtonModule,
    NbFormFieldModule,
    NbEvaIconsModule,
    NbSidebarModule
  ]
})
export class NebularModule { }
