export class RequestMapping {
    urls: string[];
    paths: Path[];
    fdpToken: string;

    constructor (urls: string[], paths: Path[], fdpToken: string) {
        this.urls = urls;
        this.paths = paths;
        this.fdpToken = fdpToken;
    }
}

export class Path {
    property: string;
    path: string;
    card: string;
    dcatClass: string;

    constructor (property: string, path: string, card: string, dcatClass: string) {
        this.property = property;
        this.path = path;
        this.card = card;
        this.dcatClass = dcatClass;
    }
}

export class ResponseMapping {
    notPublishedUrl: string[];
    publishedUrl: string[];
}